let app = getApp()

import {
    userProfile
} from "../../api/user/user.js"

Page({

    /**
     * 页面的初始数据
     */
    data: {
        DOMAIN_NAME: app.IMG_NAME,
        userDetail: {},
        // tabBar param
        tabBarParam: {
            selected: 2,
            color: "#515151",
            selectedColor: "#217CFF",
            backgroundColor: "#ffffff",
        },
        // tabBar menu
        tabBarList: [{
                "pagePath": "pages/index/index",
                "iconPath": "/images/tabbar/home.png",
                "selectedIconPath": "/images/tabbar/home-select.png",
                "text": "首页"
            },
            {
                "pagePath": "pages/meeting/accessControl/accessControl",
                "iconPath": "/images/tabbar/openDoor.png",
                "selectedIconPath": "/images/tabbar/openDoor.png",
                "text": "开门",
                "bulge": true,
            },
            {
                "pagePath": "pages/my/my",
                "iconPath": "/images/tabbar/my.png",
                "selectedIconPath": "/images/tabbar/my-select.png",
                "text": "我的"
            },
        ],
        customerPages: [{
                name: "我的活动",
                url: "/pages/myActivities/myActivities",
            },
            {
                name: "我的入驻",
                url: "/pages/my/serviceApply/serviceApply"
            },
            {
                name: "我的建议",
                url: "/pages/complaint/complaint",
            },
            // {
            //     name: "账号设置",
            //     url: "/pages/my/accountSetting/accountSetting",
            // },
            {
                name: "我的服务",
                url: "/pages/enterpriseServices/myServiceList/myServiceList"
            },
            {
                name: "我的报修",
                url: "/pages/parkRepair/parkRepair",
            }
        ],
    },

    // 切换tabbar
    switchTab(e) {
        const data = e.currentTarget.dataset
        console.log('switchTab', data)
        const url = data.path
        if (url == 'pages/meeting/accessControl/accessControl') {
            wx.navigateTo({
                url: '/' + url
            })
        } else {
            wx.switchTab({
                url: '/' + url
            })
        }
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {

    },

    onShow() {
        let _this = this
        let userId = wx.getStorageSync('userId');
        if (userId) {
            userProfile(userId).then(res => {
                console.log('userProfile', res);
                _this.setData({
                    userDetail: res.data
                })
            })
        } else {
            app.getlogin()
        }
    },

    navigateTo(e) {
        if (wx.getStorageSync('userId')) {
            wx.navigateTo({
                url: e.currentTarget.dataset.url,
            })
        } else {
            app.getlogin()
        }
    },

    navpersonalData() {
        if (wx.getStorageSync('userId')) {
            wx.navigateTo({
                url: '/pages/my/personalData/personalData',
            })
        } else {
            wx.navigateTo({
                url: '/pages/login/login',
            })
        }
    },

})